# Class LambdaExpression

java.lang.Object
jakarta.el.LambdaExpression

public class LambdaExpression extends Object

## Constructor Summary

Constructors
Constructor
Description
`LambdaExpression(List<String> formalParameters, ValueExpression expression)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`invoke(ELContext context, Object... args)`
`Object`
`invoke(Object... args)`
`void`
`setELContext(ELContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LambdaExpression

public LambdaExpression(List<String> formalParameters, ValueExpression expression)

## Method Details

### setELContext

public void setELContext(ELContext context)

### invoke

public Object invoke(ELContext context, Object... args) throws ELException

Throws:
  `ELException`

### invoke

public Object invoke(Object... args)